/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/DOPT.H__   1.5   20 Jun 1996 09:29:28   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/DOPT.H__  $
** 
**    Rev 1.5   20 Jun 1996 09:29:28   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:24:06   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:35:44   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// dopt.h
//
// Michael Long
//                                                                           
// 5/14/1996
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _DOPT_
#define _DOPT_

class DOption : public CProjectOption
{
// constructor/destructor
public:
    DOption() {;}
    virtual ~DOption() {;}
    
// attributes
public:
    DCTool m_dcTool;
    DATool m_daTool;
    DLTool m_dlTool;
    DLIBTool m_dlibTool;
    DETool m_deTool;                         
    
// implementation
public:
    virtual int GetFileType(LPCSTR lpcszFile) const;    
    BOOL CreateLinkCmdFile(const CStringList &lst, LPCSTR lpcszProj);
    BOOL WriteBatchFile(FILE * fp, LPCSTR lpcszText);
    
// operations
public:
    virtual void SetOption(CWnd *pParent);  
    virtual BOOL SaveOption(FILE * fp);
    virtual BOOL LoadOption(FILE * fp);
    
    virtual void Build(const CStringList &lst, LPCSTR lpcszProj);
    virtual void Editor(void);
};

#endif
